function [mapI, vmapI, mapO, vmapO] = BuildBCMaps()

% create specific inflow and outflow boundary maps

Globals1D;

%if n_x(mapB(1)) * a_advec < 0
%	mapI = mapB(1); vmapI = vmapM(mapI); mapO = mapB(2); vmapO = vmapM(mapO);
%end
%if n_x(mapB(2)) * a_advec < 0
%	mapI = mapB(2); vmapI = vmapM(mapI); mapO = mapB(1); vmapO = vmapM(mapO);
%end

dotproducts = a_advec * n_x(mapB);
mapI_ind = find(dotproducts < -1e-9);
mapI = mapB(mapI_ind);
vmapI = vmapM(mapI);
mapO = setdiff(mapB,mapI);
vmapO = vmapM(mapO);

end